### Class

# AppStream Translation

#### Description

    class AppStream.Translation : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_translation_new

Creates a new `AsTranslation`.

#### Instance methods

###### as_translation_get_id

The ID (e.g. Gettext translation domain) of this translation.

###### as_translation_get_kind

The translation system type.

###### as_translation_get_source_locale

The locale of the source strings for this component. If this has not been explicitly specified, `en_US` will be returned.

since: 0.14.6

###### as_translation_set_id

Set the ID (e.g. Gettext domain) of this translation.

###### as_translation_set_kind

Set the translation system type.

###### as_translation_set_source_locale

Set the locale of the source strings for this component. In gettext, this is referred to as the `C` locale. It’s almost always `en_US`, but for some components it may not be.

since: 0.14.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamTranslationClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.